declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly prop: StringConstructor;
    readonly value: {
        readonly type: import("vue").PropType<string | number | boolean | object>;
        readonly default: undefined;
    };
    readonly label: StringConstructor;
    readonly labelWidth: import("vue").PropType<string | number>;
    /**
     * 规则校验结果逻辑: 仅存最后一条校验规则的逻辑
     *      存在问题: 如果同时触发两个规则 A|B，规则 A 先触发校验且不通过，接着规则 B 触发校验且通过，规则 A 结果会不展示
     */
    readonly labelClass: StringConstructor;
    readonly contentStyle: {
        readonly type: import("vue").PropType<string | import("vue").CSSProperties | import("vue").CSSProperties[]>;
        readonly default: () => {};
    };
    readonly span: {
        readonly type: NumberConstructor;
        readonly default: number;
    };
    readonly showMessage: {
        readonly type: import("vue").PropType<boolean>;
        readonly default: boolean;
    };
    readonly disabled: {
        readonly type: import("vue").PropType<boolean>;
        readonly default: () => boolean;
    };
    readonly rules: {
        readonly type: import("vue").PropType<import("./interface").FormRuleItem[]>;
        readonly default: () => import("./interface").FormRuleItem[];
    };
    readonly align: {
        readonly type: import("vue").PropType<"center" | "flex-start" | "baseline">;
        readonly default: string;
    };
}>, {
    prefixCls: string;
    formItemClass: import("vue").ComputedRef<string[]>;
    formItemLabelClass: import("vue").ComputedRef<string[]>;
    formItemLabelStyle: import("vue").ComputedRef<{
        width: string;
    }>;
    formItemShowMessage: import("vue").ComputedRef<boolean>;
    validateMessage: import("vue").Ref<string, string>;
    validate: (trigger?: string) => Promise<void>;
    clearValidate: () => void;
    formItemRules: import("vue").ComputedRef<any[]>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly prop: StringConstructor;
    readonly value: {
        readonly type: import("vue").PropType<string | number | boolean | object>;
        readonly default: undefined;
    };
    readonly label: StringConstructor;
    readonly labelWidth: import("vue").PropType<string | number>;
    /**
     * 规则校验结果逻辑: 仅存最后一条校验规则的逻辑
     *      存在问题: 如果同时触发两个规则 A|B，规则 A 先触发校验且不通过，接着规则 B 触发校验且通过，规则 A 结果会不展示
     */
    readonly labelClass: StringConstructor;
    readonly contentStyle: {
        readonly type: import("vue").PropType<string | import("vue").CSSProperties | import("vue").CSSProperties[]>;
        readonly default: () => {};
    };
    readonly span: {
        readonly type: NumberConstructor;
        readonly default: number;
    };
    readonly showMessage: {
        readonly type: import("vue").PropType<boolean>;
        readonly default: boolean;
    };
    readonly disabled: {
        readonly type: import("vue").PropType<boolean>;
        readonly default: () => boolean;
    };
    readonly rules: {
        readonly type: import("vue").PropType<import("./interface").FormRuleItem[]>;
        readonly default: () => import("./interface").FormRuleItem[];
    };
    readonly align: {
        readonly type: import("vue").PropType<"center" | "flex-start" | "baseline">;
        readonly default: string;
    };
}>> & Readonly<{}>, {
    readonly disabled: boolean;
    readonly value: string | number | boolean | object;
    readonly span: number;
    readonly contentStyle: string | import("vue").CSSProperties | import("vue").CSSProperties[];
    readonly rules: import("./interface").FormRuleItem[];
    readonly showMessage: boolean;
    readonly align: "center" | "flex-start" | "baseline";
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
